/* --- Сброс и база --- */
html, body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    background: #1e1119;
    color: #e0e0e0;
    font-family: 'Fantasque Sans Mono', monospace, sans-serif;
    font-size: 10pt;
}

div#cgit {
    padding: 0;
    margin: 0;
    width: 100%;
    display: flex; 
    flex-direction: column; 
    min-height: 100vh;
}

div#cgit a {
    color: #a13b43;
    text-decoration: none;
}
div#cgit a:hover {
    text-decoration: underline;
}

div#cgit table#header {
    width: 100%;
    border-bottom: 1px solid #443a46;
    padding: 10px 0;
    margin-bottom: 0;
}

div#cgit table#header td.main {
    font-size: 250%;
    padding-left: 20px;
    color: #e0e0e0;
    font-weight: bold;
}

div#cgit table#header td.sub {
    color: #8a7a8a;
    padding-left: 20px;
    font-size: 90%;
    vertical-align: top;
}

div#cgit .search-box {
    text-align: right;
    padding-right: 20px;
}
div#cgit input {
    background: #29302d;
    color: #e0e0e0;
    border: 1px solid #443a46;
    padding: 2px 5px;
}

div#cgit table.tabs {
    width: 100%;
    border-bottom: 2px solid #443a46;
    margin-top: 1em;
}
div#cgit table.tabs td {
    padding: 4px 20px;
}
div#cgit table.tabs a.active {
    background: #29302d;
    color: #e0e0e0;
    padding: 4px 10px;
    border: 1px solid #443a46;
    border-bottom: none;
}

div#cgit div.path {
    background: #29302d;
    color: #e0e0e0;
    padding: 5px 20px;
    border-bottom: 1px solid #443a46;
    font-weight: bold;
}

div#cgit div.content {
    padding: 1em 20px;
    flex: 1 0 auto
}

div#cgit table.list {
    width: 100%;
    border-collapse: collapse;
}

div#cgit table.list th {
    color: #a13b43;
    font-weight: bold;
    text-align: left;
    padding: 4px 8px;
    border-bottom: 1px solid #443a46;
}

div#cgit table.list td {
    padding: 4px 8px;
}

div#cgit table.list tr:nth-child(even) {
    background: #22151c;
}
div#cgit table.list tr:hover {
    background: #29302d;
}

div#cgit div.footer {
    margin-top: auto;
    padding: 20px;
    border-top: 1px solid #443a46;
    text-align: center;
    font-size: 90%;
    color: #8a7a8a;
    flex-shrink: 0; 
}

div#cgit div.footer {
    margin-top: 3em;
    padding: 1.5em;
    border-top: 1px solid #443a46;
    text-align: center;
    font-size: 9pt;
    color: #8a7a8a;
    line-height: 1.2; 
}

div#cgit div.footer a {
    color: #a13b43;
}

div#cgit div.footer a:hover {
    text-decoration: underline;
}

div#cgit table#header td.logo {
    width: 1px; 
    padding: 10px 0 10px 20px;
    vertical-align: middle;
}

div#cgit table#header td.logo img {
    max-height: 60px; 
    display: block;
    border: 1px solid #443a46;
}
